.TH bcmp() "" "" "String Function (libc)"
.PC "Compare two chunks of memory"
\fBint bcmp (\fIsource\^\fB, \fIdestination\^\fB, \fIcount\^\fB)\fR
\fBVOID *\fIsource\^\fB, *\fIdestination\^\fB; size_t \fIcount\^\fB;\fR
.PP
Function
.B bcmp()
compares the first
.I count
bytes of data at address
.I source
with the first
.I count
bytes of data at address
.IR destination .
It returns the offset of the first character where
.I source
and
.I destination
differ; if they do not differ, it returns zero.
.SH "See Also"
.Xr libsocket, libsocket
.Xr memcmp() memcmp
.SH Notes
This function is included for compatibility with Berkeley socket code.
It is equivalent to the standard C function
.BR memcmp() ,
except that its first two arguments are reversed.
